commit:     a8a9794db2acefa40251362931ffa69fbf154a7c
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 21 23:35:33 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Nov 21 23:40:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8a9794d

app-benchmarks/sysbench: bump to version 1.0.20

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 app-benchmarks/sysbench/Manifest               |  1 +
 app-benchmarks/sysbench/metadata.xml           |  5 +-
 app-benchmarks/sysbench/sysbench-1.0.20.ebuild | 72 ++++++++++++++++++++++++++
 3 files changed, 77 insertions(+), 1 deletion(-)

diff --git a/app-benchmarks/sysbench/Manifest b/app-benchmarks/sysbench/Manifest
index 3e90424065d..ee2da7a10fb 100644
--- a/app-benchmarks/sysbench/Manifest
+++ b/app-benchmarks/sysbench/Manifest
@@ -1,2 +1,3 @@
 DIST sysbench-1.0.15.tar.gz 1507930 BLAKE2B 
d4f18b08a122b8574b916b5ddadf69dd37718ac94642fb8d31582c79788569190a26fad3b3cccaadb695a65a3b9efda59943e32947a709918b3fb6d80aee6cac
 SHA512 
ff68ad15c037006a2a49e3d59062611062336860205816ca6d9cdd20832fc55b631960411caa718dff881e926196046a7317b33e803061868e524a819569d3a2
 DIST sysbench-1.0.19.tar.gz 1509412 BLAKE2B 
ac52c22bad2e7fb38ac53dbcf8df10c8aa2e1ab30cafa4ec747ad7442ed519c15e693314ae60371b2f4d8a9fe455047982121465fe54c3d02524934daca3e387
 SHA512 
1e88cb8dc679fa2b71dc3310fe058bcce7a154bcbc9d5e9b1936d61a11a27e4b6784157cefb1e3540f6abac5142aad4bbf4b470941cf4f1c6d55a967262c07be
+DIST sysbench-1.0.20.tar.gz 1509630 BLAKE2B 
9b63c1c2703fc2311e03561c8dde2c39b249b6aadffebddfd99cdcfb5319606a484132e9dcb23a4365aecfc1148c5c5c56c918ac8c363ffcb1beece26aaf15c7
 SHA512 
510453f26c4304eee74cff82a99356b668478f97eaf942fa3654a27692743b52d39dda526fa8d136568b5ad136157c8658ae5eb2ae4e8593b161dcd49621f24f

diff --git a/app-benchmarks/sysbench/metadata.xml 
b/app-benchmarks/sysbench/metadata.xml
index e21737e9dfe..42ddffecca2 100644
--- a/app-benchmarks/sysbench/metadata.xml
+++ b/app-benchmarks/sysbench/metadata.xml
@@ -6,7 +6,10 @@
                <name>Conrad Kostecki</name>
        </maintainer>
        <use>
-               <flag name="aio">Enable libaio support</flag>
+               <flag name="aio">Add support for AIO.</flag>
+               <flag name="attachsql">Add support for AttachSQL.</flag>
+               <flag name="drizzle">Add support for Drizzles.</flag>
+               <flag name="largefile">Add support for large files.</flag>
        </use>
        <upstream>
                <remote-id type="github">akopytov/sysbench</remote-id>

diff --git a/app-benchmarks/sysbench/sysbench-1.0.20.ebuild 
b/app-benchmarks/sysbench/sysbench-1.0.20.ebuild
new file mode 100644
index 00000000000..3d882dede76
--- /dev/null
+++ b/app-benchmarks/sysbench/sysbench-1.0.20.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit autotools python-single-r1
+
+DESCRIPTION="A scriptable multi-threaded benchmark tool based on LuaJIT"
+HOMEPAGE="https://github.com/akopytov/sysbench";
+SRC_URI="https://github.com/akopytov/sysbench/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+aio attachsql drizzle +largefile mysql postgres test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-lang/luajit:2
+       aio? ( dev-libs/libaio )
+       mysql? ( dev-db/mysql-connector-c:= )
+       postgres? ( dev-db/postgresql:= )
+       test? ( ${PYTHON_DEPS} )
+"
+DEPEND="
+       dev-libs/concurrencykit
+       dev-libs/libxslt
+       test? (
+               $(python_gen_cond_dep '
+                       dev-util/cram[${PYTHON_USEDEP}]
+               ')
+       )
+       ${RDEPEND}
+"
+BDEPEND="
+       sys-devel/libtool
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+
+       rm -r third_party/{concurrency_kit/ck,cram,luajit/luajit} || die
+
+       eautoreconf
+}
+
+src_configure() {
+       # Current versions of 'dev-db/oracle-instantclient' aren't supported.
+       # See: https://github.com/akopytov/sysbench/issues/390.
+       local myeconfargs=(
+               --disable-rpath
+               $(use_enable aio)
+               $(use_enable largefile)
+               $(use_with attachsql)
+               $(use_with drizzle)
+               $(use_with mysql)
+               $(use_with postgres pgsql)
+               --with-system-ck
+               --with-system-luajit
+               --without-oracle
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_test() {
+       emake check test
+}

Reply via email to